## rtpg722pay rtpg722pay |

## Types and Values

struct | GstRtpG722Pay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRTPBaseAudioPayload
                            ╰── GstRtpG722Pay

## Description

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | audio/G722, rate=(int)16000, channels=(int)1

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)audio, encoding-name=(string)G722, payload=(int)9, clock-rate=(int)8000
| application/x-rtp, media=(string)audio, encoding-name=(string)G722, payload=(int)[ 96, 127 ], clock-rate=(int)8000

## Functions

## Types and Values

### struct GstRtpG722Pay

    struct GstRtpG722Pay;